#include <stdio.h>

main(int argc, char *argv[])
{
  FILE *fopen(), *datafile;
  char word[15];
  int i,n;
  long num;
  long start;

  datafile = fopen(argv[1],"r");
  sscanf(argv[2],"%ld",&start);
  start*=2;

  for(i=0;i<start;++i)
    fgetword(datafile,15,word);

  for(i=start;i<=start+1;++i){
    if ((n=fgetword(datafile,15,word))!=0 && n<15){
      sscanf(word,"%ld",&num);
      printf("%d\n",num);
    }
    else if (n==0)
      printf("The input file was empty!");
    else{
      printf("There is something wrong with the input file.  ");
      printf("Number was longer than 15 digits.\n");
    }
  }
  fclose(datafile);
}
